SDL_SysWMEvent Struct Reference

`#include <SDL_events.h>`

Collaboration diagram for SDL_SysWMEvent:
[legend]

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_SysWMmsg * | msg

## Detailed Description

A video driver dependent system event (event.syswm.*)

This event is disabled by default, you can enable it with SDL_EventState()

If you want to use this event, you should include SDL_syswm.h.

Definition at line 642 of file SDL_events.h.

## Field Documentation

## msg

SDL_SysWMmsg* SDL_SysWMEvent::msg

driver dependent data, defined in SDL_syswm.h

Definition at line 646 of file SDL_events.h.

## timestamp

Uint32 SDL_SysWMEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 645 of file SDL_events.h.

## type

Uint32 SDL_SysWMEvent::type

SDL_SYSWMEVENT

Definition at line 644 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h